Listar avisos
curl --request GET \
--url https://api.impulsodigital.app/v1/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.impulsodigital.app/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.impulsodigital.app/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impulsodigital.app/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "<string>",
"url": "<string>",
"description": "<string>",
"events": [
"message.received"
],
"active": true,
"consecutive_failures": 123,
"disabled_at": "2023-11-07T05:31:56Z",
"disabled_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"events": [
{
"key": "<string>",
"name": "<string>",
"description": "<string>"
}
]
}
}Avisos
Listar avisos
Necesita una llave de todos los números (los avisos son de toda la cuenta).
GET
/
webhooks
Listar avisos
curl --request GET \
--url https://api.impulsodigital.app/v1/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.impulsodigital.app/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.impulsodigital.app/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impulsodigital.app/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "<string>",
"url": "<string>",
"description": "<string>",
"events": [
"message.received"
],
"active": true,
"consecutive_failures": 123,
"disabled_at": "2023-11-07T05:31:56Z",
"disabled_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"events": [
{
"key": "<string>",
"name": "<string>",
"description": "<string>"
}
]
}
}
